fixup: contrib/jenkins: create workspace.tar.xz on error

cat-testlogs.sh does "exit 1", so no workspace.tar.xz is created.
Call this script after archiving the workspace.

Change-Id: Ibcb842f32418e66a186d6b21bb5861cf4a0b7c4a
Fixes: 799d972132 "contrib/jenkins: create workspace.tar.xz on error"
Related: OS#5665
This commit is contained in:
Vadim Yanitskiy 2023-05-28 03:03:13 +07:00
parent 902fb947b6
commit 912f3501f2
1 changed files with 1 additions and 3 deletions

View File

@ -14,14 +14,12 @@ if ! [ -x "$(command -v osmo-build-dep.sh)" ]; then
fi
exit_tar_workspace() {
cat-testlogs.sh
if [ "$IS_MASTER_BUILD" = "1" ]; then
tar -cJf "/tmp/workspace.tar.xz" "$base"
mv /tmp/workspace.tar.xz "$base"
fi
exit 1
cat-testlogs.sh
}
set -ex